curl --request POST \
--url https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts \
--header 'Content-Type: application/json' \
--data '
{
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"mobile": "<string>",
"company_id": "<string>",
"vat": "<string>",
"company_number": "<string>",
"currency": "<string>",
"language": "<string>",
"comment": "<string>",
"customer_account_number": "<string>",
"supplier_account_number": "<string>",
"birthdate": "2023-12-25",
"addresses": []
}
'import requests
url = "https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts"
payload = {
"is_prospect": True,
"is_customer": True,
"is_supplier": True,
"is_company": True,
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"mobile": "<string>",
"company_id": "<string>",
"vat": "<string>",
"company_number": "<string>",
"currency": "<string>",
"language": "<string>",
"comment": "<string>",
"customer_account_number": "<string>",
"supplier_account_number": "<string>",
"birthdate": "2023-12-25",
"addresses": []
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
is_prospect: true,
is_customer: true,
is_supplier: true,
is_company: true,
company_name: '<string>',
first_name: '<string>',
last_name: '<string>',
email: '<string>',
phone: '<string>',
mobile: '<string>',
company_id: '<string>',
vat: '<string>',
company_number: '<string>',
currency: '<string>',
language: '<string>',
comment: '<string>',
customer_account_number: '<string>',
supplier_account_number: '<string>',
birthdate: '2023-12-25',
addresses: []
})
};
fetch('https://api.chift.eu/consumers/{consumer_id}/invoicing/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"source_ref": {
"id": "<string>",
"model": "<string>"
},
"is_prospect": true,
"is_customer": true,
"is_supplier": true,
"is_company": true,
"company_name": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"phone": "<string>",
"mobile": "<string>",
"company_id": "<string>",
"vat": "<string>",
"company_number": "<string>",
"currency": "<string>",
"language": "<string>",
"comment": "<string>",
"customer_account_number": "<string>",
"supplier_account_number": "<string>",
"birthdate": "2023-12-25",
"gender": "H",
"addresses": [],
"external_reference": "<string>"
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create a contact
Creates a new contact in the invoicing system and returns the created contact record.
- What is a contact? ↗
Path Parameters
Body
Is a prospect?
Is a customer?
Is a supplier?
Is a company?
Name of the company
Firstname
Lastname
Phone
Mobile
Technical id of the contact' company in Chift
VAT number
Company number (identification number different than the VAT (e.g. siret))
Currency matching target sofware name
Language matching target sofware name
Comment
Number of the accounting account used for sales (e.g. 701000)
Number of the accounting account used for purchases (e.g. 601000)
Birthdate
Gender
H, F, N/A Addresses
Show child attributes
Show child attributes
Response
Successful Response
Technical id in Chift
Technical id in the target software
Show child attributes
Show child attributes
Is a prospect?
Is a customer?
Is a supplier?
Is a company?
Name of the company
Firstname
Lastname
Phone
Mobile
Technical id of the contact' company in Chift
VAT number
Company number (identification number different than the VAT (e.g. siret))
Currency matching target sofware name
Language matching target sofware name
Comment
Number of the accounting account used for sales (e.g. 701000)
Number of the accounting account used for purchases (e.g. 601000)
Birthdate
Gender
H, F, N/A Addresses
Show child attributes
Show child attributes
External reference of the contact in the invoicing system